FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Terminal::CharStyle Class Reference

## Public Member Functions
void | attrib (uchar val)
uchar | attrib (void) const
void | bgcolor (Fl_Color val)
void | bgcolor (int r, int g, int b)
Fl_Color | bgcolor (void) const
void | bgcolor_xterm (Fl_Color val)
void | bgcolor_xterm (uchar val)
void | charflags (uchar val)
uchar | charflags (void) const
| CharStyle (bool fontsize_defer)
int | charwidth (void) const
void | clr_charflag (uchar val)
uchar | colorbits_only (uchar inflags) const
void | defaultbgcolor (Fl_Color val)
Fl_Color | defaultbgcolor (void) const
void | defaultfgcolor (Fl_Color val)
Fl_Color | defaultfgcolor (void) const
void | fgcolor (Fl_Color val)
void | fgcolor (int r, int g, int b)
Fl_Color | fgcolor (void) const
void | fgcolor_xterm (Fl_Color val)
void | fgcolor_xterm (uchar val)
Fl_Color | fltk_bg_color (uchar ci)
Fl_Color | fltk_fg_color (uchar ci)
int | fontdescent (void) const
void | fontface (Fl_Font val)
Fl_Font | fontface (void) const
int | fontheight (void) const
void | fontsize (Fl_Fontsize val)
Fl_Fontsize | fontsize (void) const
int | onoff (bool flag, Attrib a)
void | set_charflag (uchar val)
void | sgr_blink (bool val)
void | sgr_bold (bool val)
void | sgr_dbl_under (bool val)
void | sgr_dim (bool val)
void | sgr_inverse (bool val)
void | sgr_italic (bool val)
void | sgr_reset (void)
void | sgr_strike (bool val)
void | sgr_underline (bool val)
void | update (void)
void | update_fake (void)

The documentation for this class was generated from the following files:

- Fl_Terminal.H
- Fl_Terminal.cxx